#ifndef __CMDREPLY_H__
#define __CMDREPLY_H__

#include "CommandClient.h"

using namespace Aspera;
using namespace Aspera::Command;

namespace Aspera {

namespace Command {

    class Buffer;

    /*! \brief
     *  The base class for all the CmdReply classes
     */

    class CommandClientImpl;

    class CmdReply{

    protected:
        CommandClientImpl *cmd_client;

    public:
        virtual int processMsgBuffer(Buffer *rawBuffer) = 0;
        virtual void printReply() = 0;
        CmdReply(CommandClientImpl *cc)
        {
            cmd_client = cc;
        }
        virtual ~CmdReply(){}
    };
}
}

#endif
